import {
	myRequest
} from '../request.js'
export default {
	//新增学习计划
	addsystemplan(data) {
		return myRequest({
			url: '/system/plan',
			method: 'post',
			data: data
		})
	},
	//修改学习计划
	editsystemplan(data) {
		return myRequest({
			url: '/system/plan/edit',
			method: 'post',
			data: data
		})
	},
	//查询学习计划列表
	getsystemplanlist(data) {
		return myRequest({
			url: '/system/plan/list',
			method: 'get',
			data: data
		})
	},
	//查询学员拥有商品能生成学习计划的商品
	getsystemplanlistGoods(data) {
		return myRequest({
			url: '/system/plan/listGoods',
			method: 'get',
			data: data
		})
	},
	//获得展示的日历学习计划，不添加到数据库
	getsystemplanlistPlan(data) {
		return myRequest({
			url: '/system/plan/listPlan',
			method: 'post',
			data: data
		})
	},
	//获取学习计划详细信息
	systemplanInfo(data) {
		return myRequest({
			url: '/system/plan/inFo',
			method: 'get',
			data: data
		})
	},
	userPlanSeven(data) {
		return myRequest({
			url: '/system/plan/userPlanSeven',
			method: 'get',
			data: data
		})
	}

}
